Package Details: mathics 5.0.2-1

Git Clone URL: https://aur.archlinux.org/mathics.git (read-only, click to copy)
Package Base: mathics
Description: A general-purpose computer algebra system.
Upstream URL: https://mathics.org/
Keywords: mathematica scientific
Licenses: GPL3
Submitter: rnestler
Maintainer: vicp74
Last Packager: vicp74
Votes: 28
Popularity: 0.000535
First Submitted: 2012-02-24 12:57 (UTC)
Last Updated: 2022-08-18 14:23 (UTC)

Latest Comments

1 2 3 4 5 Next › Last »

yoshiK commented on 2022-11-05 13:22 (UTC)

The Distribution not found error apparently appeared again:

pkg_resources.DistributionNotFound: The 'sympy<1.11,>=1.8' distribution was not found and is required by Mathics3

I have python-sympy 1.11.1-1 installed.

vicp74 commented on 2022-05-09 08:06 (UTC)

Sorry about that, I assumed that 1.10 included that. It should be fixed now.

OliverLew commented on 2022-05-06 13:01 (UTC)

Unfortunately, the latest sympy is 1.10.1, which still triggers the error:

pkg_resources.DistributionNotFound: The 'sympy<=1.10,>=1.8' distribution was not found and is required by Mathics3

vicp74 commented on 2022-05-06 11:17 (UTC)

Updated for sympy 1.10, the incompatibility error should be solved again.

jmd commented on 2022-05-03 02:20 (UTC) (edited on 2022-05-03 02:21 (UTC) by jmd)

I get a similar error as archisman when running mathics for sympy 1.10

$ mathics
/usr/lib/python3.10/site-packages/pkg_resources/__init__.py:116: PkgResourcesDeprecationWarning: main is an invalid version and will not be supported in a future release
  warnings.warn(
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 782, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sympy 1.10.1 (/usr/lib/python3.10/site-packages), Requirement.parse('sympy<=1.9,>=1.8'), {'Mathics3'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin//mathics", line 33, in <module>
    sys.exit(load_entry_point('Mathics3==4.0.0', 'console_scripts', 'mathics')())
  File "/usr/bin//mathics", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 171, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/mathics/main.py", line 12, in <module>
    from mathics.core.parser import MathicsFileLineFeeder, MathicsLineFeeder
  File "/usr/lib/python3.10/site-packages/mathics/core/parser/__init__.py", line 3, in <module>
    from mathics_scanner import is_symbol_name
  File "/usr/lib/python3.10/site-packages/mathics_scanner/__init__.py", line 11, in <module>
    from mathics_scanner.characters import (
  File "/usr/lib/python3.10/site-packages/mathics_scanner/characters.py", line 11, in <module>
    import pkg_resources
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3267, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3241, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3279, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 575, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 588, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sympy<=1.9,>=1.8' distribution was not found and is required by Mathics3

archisman commented on 2021-11-17 05:50 (UTC)

I confirm that now it works with sympy 1.9

vicp74 commented on 2021-11-16 19:15 (UTC)

Updated for sympy 1.9, the incompatibility error should be solved.

archisman commented on 2021-11-16 16:45 (UTC)

I get the following error due to incompatibility with sympy version.

$ mathics
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sympy 1.9 (/usr/lib/python3.9/site-packages), Requirement.parse('sympy<=1.9dev,>=1.8'), {'Mathics3'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mathics", line 33, in <module>
    sys.exit(load_entry_point('Mathics3==4.0.0', 'console_scripts', 'mathics')())
  File "/usr/bin/mathics", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/mathics/main.py", line 12, in <module>
    from mathics.core.parser import MathicsFileLineFeeder, MathicsLineFeeder
  File "/usr/lib/python3.9/site-packages/mathics/core/parser/__init__.py", line 3, in <module>
    from mathics_scanner import is_symbol_name
  File "/usr/lib/python3.9/site-packages/mathics_scanner/__init__.py", line 11, in <module>
    from mathics_scanner.characters import (
  File "/usr/lib/python3.9/site-packages/mathics_scanner/characters.py", line 11, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sympy<=1.9dev,>=1.8' distribution was not found and is required by Mathics3

vicp74 commented on 2021-05-15 11:03 (UTC)

Fixed for sympy 1.8. Thanks a.kudelin.

a.kudelin commented on 2021-05-14 12:32 (UTC)

Not working with sympy 1.8, applying this PR as a patch will help probably: https://github.com/mathics/Mathics/pull/1365